/**
 *
 * @author    Jerry Bendy
 * @since     17/3/1
 * @copyright MicroBenefits
 */


/**
 * 检查当前页面的网址，仅在 CIQ 内部网页范围内返回 true，
 * 否则将返回 false（禁止使用此版本的 Bridge）
 *
 * @returns {boolean}
 */
module.exports = function () {
    if (location.protocol === 'file:')
        return true;

    // 为避免被第三方搜索并修改域名验证部分的代码，这里把匹配域名的正则表达式做 Base64 编码处理，在匹配时再去解码
    // 完整的原始字符串为：   (\.ifuli\.cn|\.iweibang\.com|\.me\.com|192\.168\.\d{1,3}\.\d{1,3}(:\d{1,5})?)$
    var reg = 'KFwuaWZ1bGlcLmNufFwuaXdlaWJhbmdcLmNvbXxcLm1lXC5jb218MTkyXC4xNjhcLlxkezEsM31cLlxkezEsM30oOlxkezEsNX0pPykk';

    if (new RegExp(atob(reg)).test(location.host))
        return true;

    return false;
};